文件处理API - 捷帮开发者API

捷帮文件处理API提供简单易用的RESTful接口,开发者可通过HTTP POST请求快速集成到自己的应用中。

无需API Key即可免费调用(有速率限制),高频使用建议注册免费API Key。
POST https://www.jiebang.site/api/file-process
在线试用 →

请求参数

参数名类型必填说明
contentstring文件内容文本
actionstring操作:parse/convert/clean
formatstring数据格式:auto/csv/json/tsv
api_keystringAPI密钥

请求示例

# cURL curl -X POST https://www.jiebang.site/api/file-process \ -H "Content-Type: application/json" \ -d '{"content": "name,age,city\nZhang,28,Beijing\nLi,35,Shanghai", "action": "parse"}'
// JavaScript fetch('https://www.jiebang.site/api/file-process', { method: 'POST', headers: { 'Content-Type': 'application/json' }, body: JSON.stringify({"content": "name,age,city\nZhang,28,Beijing\nLi,35,Shanghai", "action": "parse"}) }) .then(r => r.json()) .then(d => console.log(d))
# Python import requests resp = requests.post( 'https://www.jiebang.site/api/file-process', json={"content": "name,age,city\nZhang,28,Beijing\nLi,35,Shanghai", "action": "parse"} ) print(resp.json())

响应示例

{"success": true, "result": [{"name": "Zhang", "age": "28", "city": "Beijing"}, {"name": "Li", "age": "35", "city": "Shanghai"}]}

处理CSV、JSON、TSV等格式文件数据,支持格式互转、数据清洗、去重、排序

捷帮API采用RESTful设计,所有接口统一使用POST方法,请求和响应均为JSON格式。基础调用无需认证,高级功能可注册免费API Key。

相关API

常见问题

CSV解析API免费

捷帮提供免费的文件处理接口,访问 https://www.jiebang.site/api-docs/file-process.html 查看完整API文档。支持POST请求,无需API Key即可开始使用。

JSON转CSV API接口

捷帮提供免费的文件处理接口,访问 https://www.jiebang.site/api-docs/file-process.html 查看完整API文档。支持POST请求,无需API Key即可开始使用。

数据清洗API文档

捷帮提供免费的文件处理接口,访问 https://www.jiebang.site/api-docs/file-process.html 查看完整API文档。支持POST请求,无需API Key即可开始使用。

文件格式转换API在线

捷帮提供免费的文件处理接口,访问 https://www.jiebang.site/api-docs/file-process.html 查看完整API文档。支持POST请求,无需API Key即可开始使用。

批量数据处理API

捷帮提供免费的文件处理接口,访问 https://www.jiebang.site/api-docs/file-process.html 查看完整API文档。支持POST请求,无需API Key即可开始使用。